package com.lzmispt.data.resource.client;

package .tmp;

import com.lzmispt.core.entity.dto.authorize.GetDataAuthorizeInfoDTO;
import com.lzmispt.core.entity.dto.file.ByteArrayUploadDTO;
import com.lzmispt.core.entity.dto.querymodel.QueryModelDTO;
import com.lzmispt.core.entity.vo.authorize.GetDataAuthorizeInfoVO;
import com.lzmispt.core.entity.vo.file.FileAndPathVO;
import com.lzmispt.core.entity.vo.file.FileVO;
import com.lzmispt.core.entity.vo.sms.SendSmsResultVO;
import com.lzmispt.core.entity.vo.user.GetOrganizationIdAndNameVO;
import com.lzmispt.core.entity.vo.user.OrganizationVO;
import com.lzmispt.core.entity.vo.user.UserVO;
import com.lzmispt.data.center.entity.dto.monitor.SendShortMessageDTO;
import com.lzmispt.data.resource.fallback.CoreClientFallBack;
import com.lzmispt.dcbase.config.FeignConfig;
import com.lzmispt.framework.entity.entity.ResultEntity;
import java.util.List;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(value = "mispt-core", fallback = CoreClientFallBack.class, configuration = {FeignConfig.class})
public interface CoreClient {
  @RequestMapping(value = {"/mispt-core/file/uploadByteArray/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<FileVO> uploadByteArray(@RequestBody ByteArrayUploadDTO paramByteArrayUploadDTO, @PathVariable String paramString);
  
  @RequestMapping(value = {"/mispt-core/file/deleteFile/{fileId}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Boolean> deleteFile(@PathVariable Long paramLong, @PathVariable String paramString);
  
  @RequestMapping(value = {"/mispt-core/file/getFileInfoAndPath/{fileId}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<FileAndPathVO> getFileInfoAndPath(@PathVariable Long paramLong, @PathVariable String paramString);
  
  @RequestMapping(value = {"/deleteFile/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Boolean> deleteFiles(@RequestBody List<Long> paramList, @PathVariable String paramString);
  
  @RequestMapping(value = {"/mispt-core/user/getUserList/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<UserVO>> getUserList(@RequestBody QueryModelDTO paramQueryModelDTO, @PathVariable String paramString);
  
  @RequestMapping(value = {"/mispt-core/sms/send/sendBySceneCode/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<SendSmsResultVO> sendBySceneCode(@RequestBody SendShortMessageDTO paramSendShortMessageDTO, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-core/user/getUserVOById/{userId}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<UserVO> getUserVOById(@PathVariable Long paramLong, @PathVariable String paramString);
  
  @RequestMapping(value = {"/mispt-core/authorize/token/checkTokenId/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Boolean> checkTokenId(@PathVariable("tokenId") String paramString);
  
  @RequestMapping(value = {"/mispt-core/authorizeAuthority/getDataAuthorizeInfo/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<GetDataAuthorizeInfoVO> getDataAuthorizeInfo(@RequestBody GetDataAuthorizeInfoDTO paramGetDataAuthorizeInfoDTO, @PathVariable("tokenId") String paramString);
  
  @RequestMapping(value = {"/mispt-core/user/getOrganizationByCodes/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<OrganizationVO>> getOrganizationByCodes(@RequestBody List<String> paramList, @PathVariable String paramString);
  
  @RequestMapping(value = {"/mispt-core/user/getOrganizationListByIds/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<GetOrganizationIdAndNameVO>> getOrganizationListByIds(@RequestBody List<Long> paramList, @PathVariable String paramString);
  
  @RequestMapping(value = {"mispt-core/user/getUserInfoById/{id}/{orgId}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<UserVO> getUserInfoById(@PathVariable Long paramLong1, @PathVariable Long paramLong2, @PathVariable String paramString);
}
